## com.google.appengine.api.memcache
Interface BaseMemcacheService

All Known Subinterfaces:
  AsyncMemcacheService, MemcacheService

    public interface BaseMemcacheService

Methods that are common between `MemcacheService` and `AsyncMemcacheService`.

Method Summary
`ErrorHandler` `getErrorHandler()` Fetches the current error handler.
`java.lang.String` `getNamespace()` Method returns non-null value if the MemcacheService overrides the default namespace in API calls.
`void` `setErrorHandler(ErrorHandler handler)` Registers a new `ErrorHandler`.

Method Detail

### getNamespace

    java.lang.String getNamespace()

  Method returns non-null value if the MemcacheService overrides the default namespace in API calls. Default namespace is the one returned by `NamespaceManager.get()`.

  Returns:
    `null` if the MemcacheService uses default namespace in API calls. Otherwise it returns `namespace` which is overrides default namespace on the API calls.

### getErrorHandler

    ErrorHandler getErrorHandler()

  Fetches the current error handler.

### setErrorHandler

    void setErrorHandler(ErrorHandler handler)

  Registers a new `ErrorHandler`. The `handler` is called for errors which are not the application's fault, like a network timeout. The handler can choose to propagate the error or suppress it. Errors which are caused by an incorrect use of the API will not be directed to the `handler` but rather will be thrown directly.

  Parameters:
    `handler` - the new `ErrorHandler` to use